## aeonbits-owner 1.0.12%2Bds

=== debian/changelog ===
aeonbits-owner (1.0.12+ds-4) unstable; urgency=medium

  * Raising Standards version to 4.7.2 (no change)
  * Removing nocheck indication from the mockito B-D (Closes: #1116711)
  * Removing unneeded Lintian override

 -- Pierre Gruet <pgt@debian.org>  Thu, 02 Oct 2025 15:02:19 +0200

aeonbits-owner (1.0.12+ds-3) unstable; urgency=medium

  * Skipping mockito checks on Properties in PropertiesInvocationHandlerTest
    (Closes: #1026659)
  * Adding a Lintian override for the bad-jar-name tag

  [ Andreas Tille ]
  * d/watch: Sensible filename for upstream download
  * Standards-Version: 4.6.2 (routine-update)
  * Apply multi-arch hints. + libaeonbits-owner-java: Add Multi-Arch: foreign.

 -- Pierre Gruet <pgt@debian.org>  Fri, 23 Dec 2022 23:03:38 +0100

aeonbits-owner (1.0.12+ds-2) unstable; urgency=medium

  * Source-only upload

 -- Pierre Gruet <pgt@debian.org>  Sat, 12 Mar 2022 11:10:19 +0100

aeonbits-owner (1.0.12+ds-1) unstable; urgency=medium

  * Initial release (Closes: #1006834)

 -- Pierre Gruet <pgt@debian.org>  Wed, 09 Mar 2022 10:23:03 +0100
