## aeonbits-owner 1.0.12+ds

=== debian/changelog ===
aeonbits-owner (1.0.12+ds-5) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from libcurator-test-java in BD.
    Closes: #1116711.
  * d/control: Drop "Rules-Requires-Root: no", no longer needed.
  * d/control: Drop "Priority: optional", no longer needed.

 -- Santiago Vila <sanvila@debian.org>  Tue, 07 Oct 2025 00:50:00 +0200
